javax.ejb

## Class NoSuchEJBException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.ejb.EJBException
        - - javax.ejb.NoSuchEJBException

- All Implemented Interfaces:
    Serializable

      public class NoSuchEJBException
      extends EJBException

  A NoSuchEJBException is thrown if an attempt is made to invoke a business method on a stateful session or singleton object that no longer exists.
  Since:
    EJB 3.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoSuchEJBException()` Constructs a NoSuchEJBException with no detail message.
    `NoSuchEJBException(String message)` Constructs a NoSuchEJBException with the specified detail message.
    `NoSuchEJBException(String message, Exception ex)` Constructs a NoSuchEJBException with the specified detail message and a nested exception.

  - ### Method Summary

    - ### Methods inherited from class javax.ejb.EJBException

      `getCausedByException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoSuchEJBException

          public NoSuchEJBException()

      Constructs a NoSuchEJBException with no detail message.

    - #### NoSuchEJBException

          public NoSuchEJBException(String message)

      Constructs a NoSuchEJBException with the specified detail message.

    - #### NoSuchEJBException

          public NoSuchEJBException(String message,
                            Exception ex)

      Constructs a NoSuchEJBException with the specified detail message and a nested exception.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.